import QtQuick 2.0
import QtQml 2.12
import QtQuick.Layouts 1.12
import QtQuick.Controls 2.5
import QtQml.Models 2.2
import org.ukui.qqc2style.private 1.0 as StylePrivate

Item {
    id: dialogRoot
    width: 350
    height: 300
    property var model: null
    property string groupTitle: qsTr("group")

    property alias dialogVisible: dialog.visible
    property alias dialogScale: dialog.scale

    property alias dialogSourceX: dialog.x
    property alias dialogSourceY: dialog.y

    property alias dialogWidth: dialogRoot.width
    property alias dialogHeight: dialogRoot.height

    signal groupClose

    Dialog {
        id: dialog
        visible: false
        contentItem:
            ColumnLayout {
                id: coulumn
                anchors.fill: parent
                spacing: 0

                Text {
                    id: title
                    text: groupTitle
                    horizontalAlignment: Text.AlignHCenter
                    verticalAlignment: Text.AlignVCenter
                    Layout.fillWidth: true
                    Layout.fillHeight: true
                    Layout.minimumHeight: 40
                    font: StylePrivate.StyleHelper.font
                }
                LauncherItemView {
                    id: itemView
                    Layout.fillWidth: true
                    Layout.fillHeight: true
                    Layout.preferredWidth: dialogRoot.width
                    Layout.preferredHeight: dialogRoot.height
                    Layout.minimumWidth: dialogRoot.width
                    Layout.alignment: Qt.AlignHCenter
                    viewMoel: model
                    opacity: 1
                }
            }
        onClosed: {
            dialogRoot.groupClose()
            console.log("onClosed-----")
        }
    }
}
