import QtQuick 2.0
import QtQuick.Controls 2.12
import QtQuick.Layouts 1.12
import org.ukui.qqc2style.private 1.0 as StylePrivate

Popup {
    id: uninstallDialog
    property string desktopFile
    property string infoBoxText
    property string infoBoxImageSource

    width:  520
    height: 220
    background: Rectangle {
        color: "transparent"
    }
    anchors.centerIn: parent
    modal: true
    closePolicy: Popup.NoAutoClose
    contentItem: Rectangle {
        color: StylePrivate.StyleHelper.windowcolorrole
        visible: true; radius: Style.tabletScaleFactor * 22
        width:  520; height: 220
        anchors.horizontalCenter: parent.horizontalCenter; anchors.verticalCenter: parent.verticalCenter
        ColumnLayout {
            spacing: 0
            anchors.fill: parent; Layout.alignment: Qt.AlignCenter
            Layout.fillHeight: true; Layout.fillWidth: true
            RowLayout {
                width: Style.tabletScaleFactor * 400; height: Style.tabletScaleFactor * 64
                spacing: Style.tabletScaleFactor * 16; Layout.leftMargin: Style.tabletScaleFactor * 40
                Layout.topMargin: Style.tabletScaleFactor * 20
                Image {
                    id: infoBoxImage
                    Layout.maximumHeight: Style.tabletScaleFactor *64
                    Layout.maximumWidth: Style.tabletScaleFactor *64
                    sourceSize: Qt.size(Style.tabletScaleFactor *64, Style.tabletScaleFactor *64)
                    source: "image://icons/" + infoBoxImageSource
                }
                Text {
                    text: "确认卸载" + infoBoxText + "应用？"
                    width: Style.tabletScaleFactor * 154; height: Style.tabletScaleFactor * 25
                    font.pointSize: 13; color: "#262626";
                    font.family: StylePrivate.StyleHelper.font.family
                    font.styleName: StylePrivate.StyleHelper.font.styleName
                    Layout.alignment: Qt.AlignCenter
                }
            }
            RowLayout {
                width: Style.tabletScaleFactor * 272; height: Style.tabletScaleFactor * 46
                spacing: Style.tabletScaleFactor * 20; Layout.leftMargin: Style.tabletScaleFactor * 255
                Layout.rightMargin: Style.tabletScaleFactor * 40
                Layout.bottomMargin: Style.tabletScaleFactor * 15
                Button {
                    id: cancelBtn
//                    Layout.maximumHeight: Style.tabletScaleFactor *46
//                    Layout.maximumWidth: Style.tabletScaleFactor *126
//                    Layout.preferredHeight: Style.tabletScaleFactor *46
//                    Layout.preferredWidth: Style.tabletScaleFactor *126
                    Layout.fillWidth: true
                    width: Style.tabletScaleFactor * 126; height: Style.tabletScaleFactor * 46
                    StylePrivate.StyleHelper.buttonType:"MinButton"
                    text: "取消"
                    onClicked: {
                        uninstallDialog.close()
                    }
                }
                Button {
                    id: confirmBtn
//                    Layout.maximumHeight: Style.tabletScaleFactor *46
//                    Layout.maximumWidth: Style.tabletScaleFactor *126
//                    Layout.preferredHeight: Style.tabletScaleFactor *46
//                    Layout.preferredWidth: Style.tabletScaleFactor *126
                    Layout.fillWidth: true
                    width: Style.tabletScaleFactor * 126; height: Style.tabletScaleFactor * 46
                    StylePrivate.StyleHelper.buttonType:"blueButton"
                    text: "确认"
                    onClicked: {
                        console.log("===确认卸载===")
                        uninstallDialog.close()
                        modelManager.uninsatllApp(desktopFile)
                    }
                }
            }
        }
    }
}
